Bug 245185 - x11-wm/pekwm: : Fix broken (unfetchable)
Summary: x11-wm/pekwm: : Fix broken (unfetchable)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL: https://github.com/pekdon/pekwm
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-30 12:58 UTC by Loïc Bartoletti
Modified: 2020-05-22 19:44 UTC (History)
2 users (show)

See Also:
natbsd: maintainer-feedback+


Attachments
pekwm-0.1.17_5 (2.90 KB, patch)
2020-03-30 12:58 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-03-30 12:58:00 UTC
Created attachment 212860 [details]
pekwm-0.1.17_5

x11-wm/pekwm: : Fix broken (unfetchable)

 * http://www.pewm.org is down but code has moved to https://github.com/pekdon/pekwm so USE_GITHUB
 * Add USES= autoreconf
 * Add missing USE_XORG= xinerama xrandr
 * Recreate patch with make makepatch

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/HEAD, i386/amd64 tested)
Comment 1 Natacha Porté 2020-04-11 12:11:46 UTC
It looks good to me, with the caveat that I have not tested it, because I'm temporarily without access to a FreeBSD machine with X.

There was some question about whether the Github source matches the old tarball.

I found a backup for the old tarball, and it turns out they don't match exactly. The old tarball had the `Makefile.in`, which are presumably rebuilt now, and there a one-line difference in the actual code, which looks like https://github.com/pekdon/pekwm/commit/c1baf7528acc117f060e4f049aa312621591ef19 except with C-style cast.

Note that this commit is three commits after the relase tag, and the commits in between do not appear in the old tarball, so I guess this is an untracked change to fix a build error or warning.
Comment 2 commit-hook freebsd_committer 2020-05-20 20:10:00 UTC
A commit references this bug:

Author: rene
Date: Wed May 20 20:09:56 UTC 2020
New revision: 536021
URL: https://svnweb.freebsd.org/changeset/ports/536021

Log:
  x11-wm/pekwm: unexpire, change MASTER_SITE

  Also, add USES=autoreconf and add missing USE_XORG=xinerama xrandr

  PR:		245185
  Submitted by:	lbartoletti
  Approved by:	maintainer
  MFH:		2020Q2

Changes:
  head/x11-wm/pekwm/Makefile
  head/x11-wm/pekwm/distinfo
  head/x11-wm/pekwm/files/patch-data__scripts__pekwm_screenshot.sh
Comment 3 commit-hook freebsd_committer 2020-05-22 19:44:23 UTC
A commit references this bug:

Author: rene
Date: Fri May 22 19:43:37 UTC 2020
New revision: 536238
URL: https://svnweb.freebsd.org/changeset/ports/536238

Log:
  MFH: r536021

  x11-wm/pekwm: unexpire, change MASTER_SITE

  Also, add USES=autoreconf and add missing USE_XORG=xinerama xrandr

  PR:		245185
  Submitted by:	lbartoletti
  Approved by:	maintainer

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/x11-wm/pekwm/Makefile
  branches/2020Q2/x11-wm/pekwm/distinfo
  branches/2020Q2/x11-wm/pekwm/files/patch-data__scripts__pekwm_screenshot.sh